> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hifi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an account

> Get an existing onramp or offramp account detail.



## OpenAPI

````yaml https://production.hifi.com/api/v2/openapi.json get /v2/users/{userId}/accounts/{accountId}
openapi: 3.0.0
info:
  title: Hifi API
  version: 2.0.0
  description: API documentation for Hifi
servers:
  - url: https://production.hifibridge.com
    description: Production server
  - url: https://sandbox.hifibridge.com
    description: Sandbox server
security:
  - bearerAuth: []
tags:
  - name: Common
    description: Common endpoints
  - name: User
    description: User endpoints
  - name: Kyc
    description: Kyc endpoints
  - name: Wallet
    description: Wallet endpoints
  - name: Account
    description: Account endpoints
  - name: External Account
    description: External Account endpoints for managing beneficiary bank accounts
  - name: Fiat Account
    description: Fiat Account endpoints
  - name: Virtual Account
    description: Virtual Account endpoints
  - name: Onramp
    description: Onramp endpoints
  - name: Offramp
    description: Offramp endpoints
  - name: Orchestration Address
    description: >-
      Orchestration Address endpoints — persistent on-chain wallets that
      automatically off-ramp incoming stablecoin deposits to a USD bank account
  - name: Crypto Transfer
    description: Crypto Transfer endpoints
  - name: Cross-Chain Bridge
    description: Cross-Chain Bridge endpoints
  - name: Token Swap
    description: Token Swap endpoints
  - name: Canton Offers
    description: Canton Offers endpoints
  - name: Transfer Rules
    description: Transfer approval rules and configuration
  - name: Transfer Approvals
    description: Transfer approval workflow and admin actions
  - name: File
    description: File endpoints
  - name: Reporting
    description: Reporting and metrics endpoints
paths:
  /v2/users/{userId}/accounts/{accountId}:
    get:
      tags:
        - Account
      summary: Retrieve an account
      description: Get an existing onramp or offramp account detail.
      parameters:
        - $ref: '#/components/parameters/UserIdPathParameter'
        - $ref: '#/components/parameters/AccountIdPathParameter'
      responses:
        '200':
          $ref: '#/components/responses/GetAccountResponse'
        '401':
          $ref: '#/components/responses/UnauthorizedResponse'
        '404':
          $ref: '#/components/responses/NotFoundResponse'
        '500':
          $ref: '#/components/responses/InternalServerErrorResponse'
components:
  parameters:
    UserIdPathParameter:
      name: userId
      in: path
      schema:
        type: string
      description: ID of the user
      required: true
    AccountIdPathParameter:
      name: accountId
      in: path
      schema:
        type: string
      description: ID of the account
      required: true
  responses:
    GetAccountResponse:
      description: Success
      content:
        application/json:
          schema:
            oneOf:
              - $ref: '#/components/schemas/AccountObject'
              - $ref: '#/components/schemas/UsAccountObject'
          examples:
            AccountObjectUSExample:
              $ref: '#/components/examples/AccountObjectUSExample'
    UnauthorizedResponse:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Unauthorized'
    NotFoundResponse:
      description: Resource not found
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                enum:
                  - error
              error:
                type: object
                properties:
                  code:
                    type: string
                  message:
                    type: string
    InternalServerErrorResponse:
      description: Internal Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/InternalServerError'
  schemas:
    AccountObject:
      type: object
      properties:
        accountId:
          type: string
        userId:
          type: string
        createdAt:
          type: string
          format: date-time
        accountType:
          type: string
        accountNumber:
          type: string
        routingNumber:
          type: string
        bankName:
          type: string
        isValid:
          type: boolean
        reason:
          type: string
        rail:
          type: object
          properties:
            currency:
              type: string
            railType:
              type: string
            paymentRail:
              type: string
    UsAccountObject:
      type: object
      title: Account Object (US)
      properties:
        id:
          type: string
          description: Account ID
        userId:
          type: string
          description: User ID
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        accountHolder:
          $ref: '#/components/schemas/UsAccountHolder'
        isValid:
          type: boolean
          description: Indicates if the account is valid
        reason:
          type: string
          description: Reason for invalidity, if applicable
        us:
          type: object
          properties:
            accountType:
              type: string
              enum:
                - Checking
                - Savings
              description: |
                The type of account.
            accountNumber:
              type: string
              description: |
                The account number of the account.
            routingNumber:
              type: string
              description: |
                The routing number of the account.
            iban:
              type: string
              description: |
                Only one of `accountNumber` or `iban` can be provided.
            swiftCode:
              type: string
              description: >
                The SWIFT code of the bank where the account is held. Required
                if `transferType` is `swift`.
            bankName:
              type: string
              description: |
                The name of the bank where the account is held.
            bankAddress:
              $ref: '#/components/schemas/Address'
              type: object
              description: Address of the bank. Required if `transferType` is `swift`.
            currency:
              type: string
              enum:
                - usd
              description: |
                The currency of the account.
        rail:
          type: object
          properties:
            currency:
              type: string
              enum:
                - usd
              description: |
                The currency of the account.
            railType:
              type: string
              enum:
                - offramp
            paymentRail:
              type: string
    Unauthorized:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        error:
          type: string
          description: Error type
        errorDetails:
          type: string
          description: Detailed error message
    InternalServerError:
      type: object
      properties:
        code:
          type: integer
          description: Error code
        error:
          type: string
          description: Error type
        errorDetails:
          type: string
          description: Detailed error message
    UsAccountHolder:
      type: object
      title: Account Holder
      properties:
        type:
          type: string
          enum:
            - individual
            - business
        name:
          type: string
          description: |
            The name of the account holder.
            `individual`: first name and last name seperated by space.
            `business`: legal name of the business.
        address:
          $ref: '#/components/schemas/Address'
          type: object
          description: Address of the accountHolder.
        isFintech:
          type: boolean
          description: Whether the business account is a fintech.
      required:
        - type
        - name
        - address
    Address:
      type: object
      properties:
        addressLine1:
          type: string
        addressLine2:
          type: string
        city:
          type: string
        stateProvinceRegion:
          type: string
          description: >
            The second part of the [ISO 3166-2 subdivision
            code](https://en.wikipedia.org/wiki/ISO_3166-2). This must be
            provided if the country has subdivisions.


            An ISO 3166-2 code consists of two parts, separated by a hyphen
            (`-`):
              1. The first part is the ISO 3166-1 alpha-2 code of the country (e.g., `US`, `CA`, `BR`);
              2. The second part is a string of up to three alphanumeric characters representing a specific subdivision (e.g., state, province). This is typically based on national standards or developed by ISO.

              Only provide the second part of the code (e.g., `CA` for California in `US-CA`, or `SP` for São Paulo in `BR-SP`).
        postalCode:
          type: string
          description: Must be supplied for countries that use postal codes.
        country:
          type: string
          description: >-
            Three-letter alpha-3 country code as defined in the [ISO 3166-1
            spec](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-3).
      required:
        - addressLine1
        - city
        - stateProvinceRegion
        - postalCode
        - country
  examples:
    AccountObjectUSExample:
      summary: Account Object (US)
      value:
        id: d748da4f-aeb1-4a9d-af30-62ae7e82b897
        createdAt: '2025-09-27T03:34:12.181Z'
        updatedAt: '2025-09-27T03:34:12.181Z'
        accountHolder:
          type: individual
          name: Henry Wu
          address:
            addressLine1: Example St 1
            addressLine2: Apt 123
            city: New York
            stateProvinceRegion: NY
            postalCode: '10010'
            country: USA
        us:
          accountType: Checking
          accountNumber: '123456789'
          routingNumber: '021000021'
          iban: null
          swiftCode: null
          bankName: Bank of NoWhere
          bankCountry: USA
          bankAddress:
            addressLine1: Example St 1
            addressLine2: Apt 123
            city: New York
            stateProvinceRegion: NY
            postalCode: '10010'
            country: USA
          currency: usd
        rail:
          currency: usd
          railType: offramp
          paymentRail: ach
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````